2
joe mercado
joe mercado 2 months ago

compiling - different right hand side

first, i have a current version of the compiler:

version:0.5.1+commit.c8a2cb62.Emscripten.clang

and then i have an option to select a new compiler below that.

can’t compile as i have this error:

browser/SimpleCounter.sol:1:1: SyntaxError: Source file requires different compiler version (current compiler is 0.5.1+commit.c8a2cb62.Emscripten.clang – note that nightly builds are considered to be strictly less than the released version
pragma solidity 0.4.24; 
^———————^

  1. 2
    Bardia Pourvakil
    Bardia Pourvakil 2 months ago
    You have to change the compiler version to 0.4.24+

  2. 2
    Dayle Long
    Dayle Long 1 week ago
    I think the problem is that you have the wrong  compiler version. Try to change it. If it does not work out, then maybe  
    here you will find more detailed information.